Luminous git-master

- Main Page
- Classes
- Files

- File List

All Classes Files Functions Variables
Classes | Variables
scanner.class.php File Reference

The base scanner classes. More...

## Classes

class | LuminousEmbeddedWebScript
| Superclass for languages which may nest, i.e. web languages. More...
class | LuminousScanner
| the base class for all scanners More...
class | LuminousSimpleScanner
| A largely automated scanner. More...
class | LuminousStatefulScanner
| Experimental transition table driven scanner. More...
class | Scanner
| Base string scanning class. More...

## Variables

if(!defined('LUMINOUS_DEBUG')) define('LUMINOUS_DEBUG' | false

## Detailed Description

The base scanner classes.

This file contains the base scanning classes. All language scanners should subclass one of these. They are all essentially abstract as far as Luminous is concerned, but it may occasionally be useful to instantiate one.

The classes defined here follow a simple hierarchy: Scanner defines basic string scanning methods, LuminousScanner extends this with logic useful to highlighting. LuminousEmbeddedWebScript adds some helpers for web languages, which may be nested in other languages. LuminousSimpleScanner is a generic flat scanner which is driven by token rules. LuminousStatefulScanner is a generic transition table driven scanner.